package examples.mediaplayer;

import fr.inria.icocoa.semrep.AbstractStub;
import fr.inria.icocoa.semrep.excp.InvocationException;

public class MediaPlayerStub extends AbstractStub implements MediaPlayer {

	public MediaPlayerStub(String wsdl) {
		super(wsdl);
	}

	public String[] listMedia() {
		try {
			return (String[]) doInvoke("ListMediaCapability").get("ListMediaOutput");
		} catch (InvocationException e) {
			return null;
		}
	}

	public String[] listMostPlayedMedia(String user) {
		try {
			return (String[]) doInvoke("ListMostPlayedMediaCapability", user).get(
					"ListMostPlayedMediaOutput");
		} catch (InvocationException e) {
			return null;
		}
	}

	public void playMedia(String mediaUri) {
		try {
			doInvoke("PlayMediaCapability");
		} catch (InvocationException e) {
			System.err.println("Unable to play media: " + e);
			e.printStackTrace();
		}
	}

}
