package tools;

import fr.inria.icocoa.semrep.SemanticRepository;
import fr.inria.icocoa.semrep.SemanticRepositoryFactory;

public class addservices {

	public static void main(String[] args) throws Exception {

		String fmRadioDescription = "owl\\FmRadio-completed.owl";
		String fmRadioWsdl = "wsdl\\FmRadio.wsdl";

		String coffeeMachineDescription = "owl\\CoffeeMachine-completed.owl";
		String coffeeMachineWsdl = "wsdl\\CoffeeMachine.wsdl";

		SemanticRepository repos = SemanticRepositoryFactory.getInstance();

		repos.addOntology("owl\\AlarmClockOntology.owl");
		
		System.out.println("Adding FM radio service...");
		repos.addService(fmRadioDescription, fmRadioWsdl);

		System.out.println("Adding coffee machine service...");
		repos.addService(coffeeMachineDescription, coffeeMachineWsdl);

		System.out.println("All services:");
		for (String service : repos.getAllServices()) {
			System.out.println(service);
		}

	}

}
